<?php
/**
 * Clase Base Bean para BaseCrEventoLogBN
 *
 * @package    Sedapal
 * @subpackage BaseCrEventoLogBN
 * @author     Willy
 * @version    SVN:: BaseCrEventoLogBN.class.php,v 1.1 2023-02-23 16:13:37 william.taype Exp $
 */
abstract class BaseCrEventoLogBN
{
  protected $IdEventoLog;
  protected $IdEventoTipo;
  protected $Fecha;
  protected $Descripcion;
  protected $DescripcionEventoTipo;
  protected $ClavePrimaria;
  protected $ValorClavePrimaria;
  protected $ValorAnterior;
  protected $ValorActual;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdEventoLog(){
    return $this->IdEventoLog;
  }
  public function setIdEventoLog($v1){
    $this->IdEventoLog = $v1; 
  }

  public function getIdEventoTipo(){
    return $this->IdEventoTipo;
  }
  public function setIdEventoTipo($v1){
    $this->IdEventoTipo = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getDescripcionEventoTipo(){
    return $this->DescripcionEventoTipo;
  }
  public function setDescripcionEventoTipo($v1){
    $this->DescripcionEventoTipo = $v1; 
  }
  
   public function getNombreClavePrimaria(){
    return $this->NombreClavePrimaria;
  }
  public function setNombreClavePrimaria($v1){
    $this->NombreClavePrimaria = $v1; 
  }


  public function getClavePrimaria(){
    return $this->ClavePrimaria;
  }
  public function setClavePrimaria($v1){
    $this->ClavePrimaria = $v1; 
  }

  public function getValorClavePrimaria(){
    return $this->ValorClavePrimaria;
  }
  public function setValorClavePrimaria($v1){
    $this->ValorClavePrimaria = $v1; 
  }

  public function getValorAnterior(){
    return $this->ValorAnterior;
  }
  public function setValorAnterior($v1){
    $this->ValorAnterior = $v1; 
  }

  public function getValorActual(){
    return $this->ValorActual;
  }
  public function setValorActual($v1){
    $this->ValorActual = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_evento_logBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_evento_logRs )
  {
    $o_CrEventoLogBN = new CrEventoLogBN();
    $o_CrEventoLogBN->setIdEventoLog( $o_Cr_evento_logRs['IdEventoLog'] );
    $o_CrEventoLogBN->setIdEventoTipo( $o_Cr_evento_logRs['IdEventoTipo'] );
    $o_CrEventoLogBN->setFecha( $o_Cr_evento_logRs['Fecha'] );
    $o_CrEventoLogBN->setDescripcion( $o_Cr_evento_logRs['Descripcion'] );
    $o_CrEventoLogBN->setDescripcionEventoTipo( $o_Cr_evento_logRs['DescripcionEventoTipo'] );
    $o_CrEventoLogBN->setClavePrimaria( $o_Cr_evento_logRs['ClavePrimaria'] );
    $o_CrEventoLogBN->setValorClavePrimaria( $o_Cr_evento_logRs['ValorClavePrimaria'] );
    $o_CrEventoLogBN->setValorAnterior( $o_Cr_evento_logRs['ValorAnterior'] );
    $o_CrEventoLogBN->setValorActual( $o_Cr_evento_logRs['ValorActual'] );
    $o_CrEventoLogBN->setUsuarioCreacion( $o_Cr_evento_logRs['UsuarioCreacion'] );
    $o_CrEventoLogBN->setFechaCreacion( $o_Cr_evento_logRs['FechaCreacion'] );
    return $o_CrEventoLogBN;
  }
}